Package org.wso2.carbon.rest.api.ui.client

## Class AuthWrapper.DHttpSession

- java.lang.Object
- - org.wso2.carbon.rest.api.ui.client.AuthWrapper.DHttpSession

- All Implemented Interfaces:
    `javax.servlet.http.HttpSession`
  Enclosing class:
    AuthWrapper

      public class AuthWrapper.DHttpSession
      extends Object
      implements javax.servlet.http.HttpSession

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DHttpSession()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getAttribute​(String s)` |
    `Enumeration` | `getAttributeNames()` |
    `long` | `getCreationTime()` |
    `String` | `getId()` |
    `long` | `getLastAccessedTime()` |
    `int` | `getMaxInactiveInterval()` |
    `javax.servlet.ServletContext` | `getServletContext()` |
    `javax.servlet.http.HttpSessionContext` | `getSessionContext()` |
    `Object` | `getValue​(String s)` |
    `String[]` | `getValueNames()` |
    `void` | `invalidate()` |
    `boolean` | `isNew()` |
    `void` | `putValue​(String s, Object o)` |
    `void` | `removeAttribute​(String s)` |
    `void` | `removeValue​(String s)` |
    `void` | `setAttribute​(String s, Object o)` |
    `void` | `setMaxInactiveInterval​(int i)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DHttpSession

          public DHttpSession()

  - ### Method Detail

    - #### getCreationTime

          public long getCreationTime()

      Specified by:
        `getCreationTime` in interface `javax.servlet.http.HttpSession`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `javax.servlet.http.HttpSession`

    - #### getLastAccessedTime

          public long getLastAccessedTime()

      Specified by:
        `getLastAccessedTime` in interface `javax.servlet.http.HttpSession`

    - #### getServletContext

          public javax.servlet.ServletContext getServletContext()

      Specified by:
        `getServletContext` in interface `javax.servlet.http.HttpSession`

    - #### setMaxInactiveInterval

          public void setMaxInactiveInterval​(int i)

      Specified by:
        `setMaxInactiveInterval` in interface `javax.servlet.http.HttpSession`

    - #### getMaxInactiveInterval

          public int getMaxInactiveInterval()

      Specified by:
        `getMaxInactiveInterval` in interface `javax.servlet.http.HttpSession`

    - #### getSessionContext

          public javax.servlet.http.HttpSessionContext getSessionContext()

      Specified by:
        `getSessionContext` in interface `javax.servlet.http.HttpSession`

    - #### getAttribute

          public Object getAttribute​(String s)

      Specified by:
        `getAttribute` in interface `javax.servlet.http.HttpSession`

    - #### getValue

          public Object getValue​(String s)

      Specified by:
        `getValue` in interface `javax.servlet.http.HttpSession`

    - #### getAttributeNames

          public Enumeration getAttributeNames()

      Specified by:
        `getAttributeNames` in interface `javax.servlet.http.HttpSession`

    - #### getValueNames

          public String[] getValueNames()

      Specified by:
        `getValueNames` in interface `javax.servlet.http.HttpSession`

    - #### setAttribute

          public void setAttribute​(String s,
                                   Object o)

      Specified by:
        `setAttribute` in interface `javax.servlet.http.HttpSession`

    - #### putValue

          public void putValue​(String s,
                               Object o)

      Specified by:
        `putValue` in interface `javax.servlet.http.HttpSession`

    - #### removeAttribute

          public void removeAttribute​(String s)

      Specified by:
        `removeAttribute` in interface `javax.servlet.http.HttpSession`

    - #### removeValue

          public void removeValue​(String s)

      Specified by:
        `removeValue` in interface `javax.servlet.http.HttpSession`

    - #### invalidate

          public void invalidate()

      Specified by:
        `invalidate` in interface `javax.servlet.http.HttpSession`

    - #### isNew

          public boolean isNew()

      Specified by:
        `isNew` in interface `javax.servlet.http.HttpSession`